--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_remove/zpool_remove_003_pos.ksh	Wed Aug 31 16:21:00 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_remove/zpool_remove_003_pos.ksh	Wed Aug 31 16:21:00 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -63,11 +63,11 @@
 	" active to inactive in pool"
 
 log_note "Check spare device which state go through active to inactive"
-log_must $ZPOOL create $TESTPOOL $spare_devs1 $spare_devs2 spare \
+log_must zpool create $TESTPOOL $spare_devs1 $spare_devs2 spare \
                  $spare_devs3 $spare_devs4
-log_must $ZPOOL replace $TESTPOOL $spare_devs2 $spare_devs3
-log_mustnot $ZPOOL remove $TESTPOOL $spare_devs3
-log_must $ZPOOL detach $TESTPOOL $spare_devs3
-log_must $ZPOOL remove $TESTPOOL $spare_devs3
+log_must zpool replace $TESTPOOL $spare_devs2 $spare_devs3
+log_mustnot zpool remove $TESTPOOL $spare_devs3
+log_must zpool detach $TESTPOOL $spare_devs3
+log_must zpool remove $TESTPOOL $spare_devs3
 
 log_pass "'zpool remove device passed as expected.'"
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_replace/zpool_replace_001_neg.ksh	Wed Aug 31 16:21:01 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_replace/zpool_replace_001_neg.ksh	Wed Aug 31 16:21:01 2016
@@ -24,6 +24,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -70,7 +75,7 @@
 
 while [[ $i -lt ${#args[*]} ]]; do
 
-	log_mustnot $ZPOOL replace ${args[$i]}
+	log_mustnot zpool replace ${args[$i]}
 
 	(( i = i + 1 ))
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_scrub/setup.ksh	Wed Aug 31 16:21:01 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_scrub/setup.ksh	Wed Aug 31 16:21:01 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -40,7 +40,7 @@
 mntpnt=$(get_prop mountpoint $TESTPOOL)
 typeset -i i=0
 while ((i < 10)); do
-	log_must $MKFILE 500M $mntpnt/bigfile.$i
+	log_must mkfile 500M $mntpnt/bigfile.$i
 	((i += 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_scrub/zpool_scrub.cfg	Wed Aug 31 16:21:01 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_scrub/zpool_scrub.cfg	Wed Aug 31 16:21:01 2016
@@ -25,8 +25,8 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
-export DISK1=$($ECHO $DISKS | $AWK '{print $1}')
-export DISK2=$($ECHO $DISKS | $AWK '{print $2}')
+export DISK1=$(echo $DISKS | awk '{print $1}')
+export DISK2=$(echo $DISKS | awk '{print $2}')
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_scrub/zpool_scrub_001_neg.ksh	Wed Aug 31 16:21:01 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_scrub/zpool_scrub_001_neg.ksh	Wed Aug 31 16:21:01 2016
@@ -24,6 +24,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -50,7 +55,7 @@
 
 typeset -i i=0
 while [[ $i -lt ${#args[*]} ]]; do
-	log_mustnot $ZPOOL scrub ${args[i]}
+	log_mustnot zpool scrub ${args[i]}
 
 	((i = i + 1))
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_scrub/zpool_scrub_002_pos.ksh	Wed Aug 31 16:21:01 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_scrub/zpool_scrub_002_pos.ksh	Wed Aug 31 16:21:01 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -41,8 +45,8 @@
 
 log_assert "Verify scrub -s works correctly."
 
-log_must $ZPOOL scrub $TESTPOOL
-log_must $ZPOOL scrub -s $TESTPOOL
+log_must zpool scrub $TESTPOOL
+log_must zpool scrub -s $TESTPOOL
 log_must is_pool_scrub_stopped $TESTPOOL
 
 log_pass "Verify scrub -s works correctly."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_scrub/zpool_scrub_003_pos.ksh	Wed Aug 31 16:21:01 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_scrub/zpool_scrub_003_pos.ksh	Wed Aug 31 16:21:01 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -44,24 +48,24 @@
 function get_scrub_percent
 {
 	typeset -i percent
-	percent=$($ZPOOL status $TESTPOOL | $GREP "^ scrub" | \
-	    $AWK '{print $7}' | $AWK -F. '{print $1}')
+	percent=$(zpool status $TESTPOOL | grep "^ scrub" | \
+	    awk '{print $7}' | awk -F. '{print $1}')
 	if is_pool_scrubbed $TESTPOOL ; then
 		percent=100
 	fi
-	$ECHO $percent
+	echo $percent
 }
 
 log_assert "scrub command terminates the existing scrub process and starts" \
 	"a new scrub."
 
-log_must $ZPOOL scrub $TESTPOOL
+log_must zpool scrub $TESTPOOL
 typeset -i PERCENT=30 percent=0
 while ((percent < PERCENT)) ; do
 	percent=$(get_scrub_percent)
 done
 
-log_must $ZPOOL scrub $TESTPOOL
+log_must zpool scrub $TESTPOOL
 percent=$(get_scrub_percent)
 if ((percent > PERCENT)); then
 	log_fail "zpool scrub don't stop existing scrubbing process."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_scrub/zpool_scrub_004_pos.ksh	Wed Aug 31 16:21:01 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_scrub/zpool_scrub_004_pos.ksh	Wed Aug 31 16:21:01 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -46,14 +46,14 @@
 
 log_assert "Resilver prevent scrub from starting until the resilver completes"
 
-log_must $ZPOOL detach $TESTPOOL $DISK2
-log_must $ZPOOL attach $TESTPOOL $DISK1 $DISK2
+log_must zpool detach $TESTPOOL $DISK2
+log_must zpool attach $TESTPOOL $DISK1 $DISK2
 log_must is_pool_resilvering $TESTPOOL
-log_mustnot $ZPOOL scrub $TESTPOOL
+log_mustnot zpool scrub $TESTPOOL
 
 # Allow the resilver to finish, or it will interfere with the next test.
 while ! is_pool_resilvered $TESTPOOL; do
-	$SLEEP 1
+	sleep 1
 done
 
 log_pass "Resilver prevent scrub from starting until the resilver completes"
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_scrub/zpool_scrub_005_pos.ksh	Wed Aug 31 16:21:01 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_scrub/zpool_scrub_005_pos.ksh	Wed Aug 31 16:21:01 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -46,16 +46,16 @@
 
 log_assert "When scrubbing, detach device should not break system."
 
-log_must $ZPOOL scrub $TESTPOOL
-log_must $ZPOOL detach $TESTPOOL $DISK2
-log_must $ZPOOL attach $TESTPOOL $DISK1 $DISK2
+log_must zpool scrub $TESTPOOL
+log_must zpool detach $TESTPOOL $DISK2
+log_must zpool attach $TESTPOOL $DISK1 $DISK2
 
 while ! is_pool_resilvered $TESTPOOL; do
-	$SLEEP 1
+	sleep 1
 done
 
-log_must $ZPOOL scrub $TESTPOOL
-log_must $ZPOOL detach $TESTPOOL $DISK1
-log_must $ZPOOL attach $TESTPOOL $DISK2 $DISK1
+log_must zpool scrub $TESTPOOL
+log_must zpool detach $TESTPOOL $DISK1
+log_must zpool attach $TESTPOOL $DISK2 $DISK1
 
 log_pass "When scrubbing, detach device should not break system."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_set/zpool_set_001_pos.ksh	Wed Aug 31 16:21:01 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_set/zpool_set_001_pos.ksh	Wed Aug 31 16:21:01 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 #
 # DESCRIPTION:
@@ -40,7 +44,7 @@
 
 log_assert "zpool set usage message is displayed when called with no arguments"
 
-$ZPOOL set > /dev/null 2>&1
+zpool set > /dev/null 2>&1
 RET=$?
 if [ $RET != 2 ]
 then
@@ -47,7 +51,7 @@
 	log_fail "\"zpool set\" exit status $RET should be equal to 2."
 fi
 
-OUTPUT=$($ZPOOL set 2>&1 | $GREP -i usage)
+OUTPUT=$(zpool set 2>&1 | grep -i usage)
 if [ $? != 0 ]
 then
 	log_fail "Usage message for zpool set did not contain the word 'usage'."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_set/zpool_set_002_neg.ksh	Wed Aug 31 16:21:01 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_set/zpool_set_002_neg.ksh	Wed Aug 31 16:21:01 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,8 +48,8 @@
 # before running this test...
 function cleanup {
 
-	$ZPOOL destroy bootfs
-	$RM /tmp/zpool_set_002.$$.dat
+	zpool destroy bootfs
+	rm /tmp/zpool_set_002.$$.dat
 }
 
 log_assert "Malformed zpool set commands are rejected"
@@ -103,20 +103,20 @@
 # Create a pool called bootfs (so-called, so as to trip any clashes between
 # property name, and pool name)
 # Also create a filesystem in this pool
-log_must $MKFILE $MINVDEVSIZE /tmp/zpool_set_002.$$.dat
-log_must $ZPOOL create bootfs /tmp/zpool_set_002.$$.dat
-log_must $ZFS create bootfs/root
+log_must mkfile $MINVDEVSIZE /tmp/zpool_set_002.$$.dat
+log_must zpool create bootfs /tmp/zpool_set_002.$$.dat
+log_must zfs create bootfs/root
 
 typeset -i i=0;
 while [ $i -lt "${#arguments[@]}" ]
 do
-	log_mustnot eval "$ZPOOL set ${arguments[$i]} > /dev/null 2>&1"
+	log_mustnot eval "zpool set ${arguments[$i]} > /dev/null 2>&1"
 
 	# now also try with a valid pool in the argument list
-	log_mustnot eval "$ZPOOL set ${arguments[$i]}bootfs > /dev/null 2>&1"
+	log_mustnot eval "zpool set ${arguments[$i]}bootfs > /dev/null 2>&1"
 
 	# now also try with two valid pools in the argument list
-	log_mustnot eval "$ZPOOL set ${arguments[$i]}bootfs bootfs > /dev/null"
+	log_mustnot eval "zpool set ${arguments[$i]}bootfs bootfs > /dev/null"
 	i=$(( $i + 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_set/zpool_set_003_neg.ksh	Wed Aug 31 16:21:02 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_set/zpool_set_003_neg.ksh	Wed Aug 31 16:21:02 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -45,8 +45,8 @@
 
 function cleanup
 {
-        $ZPOOL destroy $TESTPOOL
-        $RM /tmp/zpool_set_003.$$.dat
+        zpool destroy $TESTPOOL
+        rm /tmp/zpool_set_003.$$.dat
 }
 
 set -A props "available" "capacity" "guid"  "health"  "size" "used"
@@ -56,14 +56,14 @@
 
 log_assert "zpool set cannot set a readonly property"
 
-log_must $MKFILE $MINVDEVSIZE /tmp/zpool_set_003.$$.dat
-log_must $ZPOOL create $TESTPOOL /tmp/zpool_set_003.$$.dat
+log_must mkfile $MINVDEVSIZE /tmp/zpool_set_003.$$.dat
+log_must zpool create $TESTPOOL /tmp/zpool_set_003.$$.dat
 
 typeset -i i=0;
 while [ $i -lt "${#props[@]}" ]
 do
 	# try to set each property in the prop list with it's corresponding val
-        log_mustnot eval "$ZPOOL set ${props[$i]}=${vals[$i]} $TESTPOOL \
+        log_mustnot eval "zpool set ${props[$i]}=${vals[$i]} $TESTPOOL \
  > /dev/null 2>&1"
         i=$(( $i + 1))
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_status/zpool_status_001_pos.ksh	Wed Aug 31 16:21:02 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_status/zpool_status_001_pos.ksh	Wed Aug 31 16:21:02 2016
@@ -24,6 +24,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -49,7 +54,7 @@
 
 while [[ $i -lt ${#args[*]} ]]; do
 
-	log_mustnot $ZPOOL status ${args[$i]}
+	log_mustnot zpool status ${args[$i]}
 
 	(( i = i + 1 ))
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_status/zpool_status_002_pos.ksh	Wed Aug 31 16:21:02 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_status/zpool_status_002_pos.ksh	Wed Aug 31 16:21:02 2016
@@ -24,6 +24,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -54,7 +59,7 @@
 
 while [[ $i -lt ${#args[*]} ]]; do
 
-	log_must $ZPOOL status ${args[$i]}
+	log_must zpool status ${args[$i]}
 
 	(( i = i + 1 ))
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_upgrade/zpool_upgrade.kshlib	Wed Aug 31 16:21:02 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_upgrade/zpool_upgrade.kshlib	Wed Aug 31 16:21:02 2016
@@ -25,7 +25,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 # Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
 #
 
@@ -48,15 +48,15 @@
 
 	log_note "Creating $pool_name from $pool_files"
 	for pool_file in $pool_files; do
-		log_must $BZCAT \
+		log_must bzcat \
 		    $STF_SUITE/tests/functional/cli_root/zpool_upgrade/blockfiles/$pool_file.bz2 \
 		    >/$TESTPOOL/$pool_file
 	done
-	log_must $ZPOOL import -d /$TESTPOOL $pool_name
+	log_must zpool import -d /$TESTPOOL $pool_name
 
 	# Put some random contents into the pool
 	for i in {1..1024} ; do
-		$DD if=/dev/urandom of=/$pool_name/random.$i \
+		dd if=/dev/urandom of=/$pool_name/random.$i \
 		    count=1 bs=1024 > /dev/null 2>&1
 	done
 }
@@ -77,12 +77,12 @@
 
 	log_note "Checking if we can upgrade from ZFS version $vers"
 	pre_upgrade_checksum=$(check_pool $pool_name pre)
-	log_must $ZPOOL upgrade $pool_name
+	log_must zpool upgrade $pool_name
 	post_upgrade_checksum=$(check_pool $pool_name post)
 
 	log_note "Checking that there are no differences between checksum output"
-	log_must $DIFF $pre_upgrade_checksum $post_upgrade_checksum
-	$RM $pre_upgrade_checksum $post_upgrade_checksum
+	log_must diff $pre_upgrade_checksum $post_upgrade_checksum
+	rm $pre_upgrade_checksum $post_upgrade_checksum
 }
 
 # A function to destroy an upgraded pool, plus the files it was based on.
@@ -94,10 +94,10 @@
 	typeset -n pool_name=ZPOOL_VERSION_${vers}_NAME
 
 	if poolexists $pool_name; then
-		log_must $ZPOOL destroy $pool_name
+		log_must zpool destroy $pool_name
 	fi
 	for file in $pool_files; do
-		$RM -f /$TESTPOOL/$file
+		rm -f /$TESTPOOL/$file
 	done
 }
 
@@ -111,7 +111,7 @@
 {
 	typeset pool=$1
 	typeset flag=$2
-	$FIND /$pool -type f -exec $CKSUM {} + > \
+	find /$pool -type f -exec cksum {} + > \
 		/$TESTPOOL/pool-checksums.$pool.$flag
 	echo /$TESTPOOL/pool-checksums.$pool.$flag
 }
@@ -127,14 +127,14 @@
 	typeset actual
 
 	# check version using zdb
-	actual=$($ZDB -C $pool | $SED -n 's/^.*version: \(.*\)$/\1/p')
+	actual=$(zdb -C $pool | sed -n 's/^.*version: \(.*\)$/\1/p')
 	if [[ $actual != $vers ]] ; then
 		log_fail "$pool: zdb reported version $actual, expected $vers"
 	fi
 
 	# check version using zpool upgrade
-	actual=$($ZPOOL upgrade | $GREP $pool$ | \
-	    $AWK '{print $1}' | $SED -e 's/ //g')
+	actual=$(zpool upgrade | grep $pool$ | \
+	    awk '{print $1}' | sed -e 's/ //g')
 	if [[ $actual != $vers ]] ; then
 		log_fail "$pool: zpool reported version $actual, expected $vers"
 	fi
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_upgrade/zpool_upgrade_001_pos.ksh	Wed Aug 31 16:21:02 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_upgrade/zpool_upgrade_001_pos.ksh	Wed Aug 31 16:21:02 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 # Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
 #
 
@@ -47,14 +47,14 @@
 
 log_assert "Executing 'zpool upgrade -v' command succeeds"
 
-log_must $ZPOOL upgrade -v
+log_must zpool upgrade -v
 
 # We also check that the usage message contains a description of legacy
 # versions and a note about feature flags.
 
-log_must eval "$ZPOOL upgrade -v | $HEAD -1 | $GREP 'feature flags'"
+log_must eval "zpool upgrade -v | head -1 | grep 'feature flags'"
 
-$ZPOOL upgrade -v > /tmp/zpool-versions.$$
+zpool upgrade -v > /tmp/zpool-versions.$$
 
 #
 # Current output for 'zpool upgrade -v' has different indent space
@@ -64,8 +64,8 @@
 #
 for version in {1..28}; do
 	log_note "Checking for a description of pool version $version"
-	log_must eval "$AWK '/^ $version / { print $1 }' /tmp/zpool-versions.$$ | $GREP $version"
+	log_must eval "awk '/^ $version / { print $1 }' /tmp/zpool-versions.$$ | grep $version"
 done
-$RM /tmp/zpool-versions.$$
+rm /tmp/zpool-versions.$$
 
 log_pass "Executing 'zpool upgrade -v' command succeeds"
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_upgrade/zpool_upgrade_004_pos.ksh	Wed Aug 31 16:21:02 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_upgrade/zpool_upgrade_004_pos.ksh	Wed Aug 31 16:21:02 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 # Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
 #
 
@@ -65,7 +65,7 @@
 
 # upgrade them all at once
 export __ZFS_POOL_RESTRICT="$TEST_POOLS"
-log_must $ZPOOL upgrade -a
+log_must zpool upgrade -a
 unset __ZFS_POOL_RESTRICT
 
 # verify their contents then destroy them
@@ -73,9 +73,9 @@
 	typeset -n pool_name=ZPOOL_VERSION_${config}_NAME
 
 	check_pool $pool_name post > /dev/null
-	log_must $DIFF /$TESTPOOL/pool-checksums.$pool_name.pre \
+	log_must diff /$TESTPOOL/pool-checksums.$pool_name.pre \
 	    /$TESTPOOL/pool-checksums.$pool_name.post
-	$RM /$TESTPOOL/pool-checksums.$pool_name.pre \
+	rm /$TESTPOOL/pool-checksums.$pool_name.pre \
 	    /$TESTPOOL/pool-checksums.$pool_name.post
 	destroy_upgraded_pool $config
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_upgrade/zpool_upgrade_005_neg.ksh	Wed Aug 31 16:21:02 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_upgrade/zpool_upgrade_005_neg.ksh	Wed Aug 31 16:21:02 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 # Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
 #
 
@@ -47,7 +47,7 @@
     "return with non-zero status"
 
 for arg in "/tmp" "-?" "-va" "-v fakepool" "-a fakepool" ; do
-        log_mustnot $ZPOOL upgrade $arg
+        log_mustnot zpool upgrade $arg
 done
 
 log_pass "Variations of upgrade -v print usage message," \
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_upgrade/zpool_upgrade_006_neg.ksh	Wed Aug 31 16:21:02 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_upgrade/zpool_upgrade_006_neg.ksh	Wed Aug 31 16:21:02 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 # Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
 #
 
@@ -49,7 +49,7 @@
 	if poolexists $NO_POOL ; then
 		NO_POOL="${NO_POOL}x"
 	else
-		log_mustnot $ZPOOL upgrade $NO_POOL
+		log_mustnot zpool upgrade $NO_POOL
 		break
 	fi
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_upgrade/zpool_upgrade_008_pos.ksh	Wed Aug 31 16:21:03 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_upgrade/zpool_upgrade_008_pos.ksh	Wed Aug 31 16:21:03 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 # Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
 #
 
@@ -70,7 +70,7 @@
 	typeset ver_new=$(random $ver_old $MAX_VER)
 
 	create_old_pool $ver_old
-	log_must $ZPOOL upgrade -V $ver_new $pool_name > /dev/null
+	log_must zpool upgrade -V $ver_new $pool_name > /dev/null
 	check_poolversion $pool_name $ver_new
 	destroy_upgraded_pool $ver_old
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_upgrade/zpool_upgrade_009_neg.ksh	Wed Aug 31 16:21:03 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_upgrade/zpool_upgrade_009_neg.ksh	Wed Aug 31 16:21:03 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 # Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
 #
 
@@ -57,8 +57,8 @@
 typeset -n pool_name=ZPOOL_VERSION_${config}_NAME
 
 create_old_pool $config
-log_mustnot $ZPOOL upgrade -V 999 $pool_name
-log_mustnot $ZPOOL upgrade -V 999
+log_mustnot zpool upgrade -V 999 $pool_name
+log_mustnot zpool upgrade -V 999
 check_poolversion $pool_name $config
 destroy_upgraded_pool $config
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/cleanup.ksh	Wed Aug 31 16:21:03 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/cleanup.ksh	Wed Aug 31 16:21:03 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -34,17 +34,17 @@
 
 if poolexists $TESTPOOL.virt
 then
-	log_must $ZPOOL destroy $TESTPOOL.virt
+	log_must zpool destroy $TESTPOOL.virt
 fi
 
 if poolexists v1-pool
 then
-	log_must $ZPOOL destroy v1-pool
+	log_must zpool destroy v1-pool
 fi
 
 if [[ -f /tmp/zfstest_datastream.dat ]]
 then
-	log_must $RM -f /tmp/zfstest_datastream.dat
+	log_must rm -f /tmp/zfstest_datastream.dat
 fi
 
 default_cleanup
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/setup.ksh	Wed Aug 31 16:21:03 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/setup.ksh	Wed Aug 31 16:21:03 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -52,33 +52,33 @@
 #
 
 # create a snapshot and a clone to test clone promote
-log_must $ZFS snapshot $TESTPOOL/$TESTFS@snap
-log_must $ZFS clone $TESTPOOL/$TESTFS@snap $TESTPOOL/$TESTFS/clone
+log_must zfs snapshot $TESTPOOL/$TESTFS@snap
+log_must zfs clone $TESTPOOL/$TESTFS@snap $TESTPOOL/$TESTFS/clone
 # create a file in the filesystem that isn't in the above snapshot
-$TOUCH /$TESTDIR/file.txt
+touch /$TESTDIR/file.txt
 
 
 # create a non-default property and a child we can use to test inherit
-log_must $ZFS create $TESTPOOL/$TESTFS/$TESTFS2
-log_must $ZFS set snapdir=hidden $TESTPOOL/$TESTFS
+log_must zfs create $TESTPOOL/$TESTFS/$TESTFS2
+log_must zfs set snapdir=hidden $TESTPOOL/$TESTFS
 
 
 # create an unmounted filesystem to test unmount
-log_must $ZFS create $TESTPOOL/$TESTFS/$TESTFS2.unmounted
-log_must $ZFS unmount $TESTPOOL/$TESTFS/$TESTFS2.unmounted
+log_must zfs create $TESTPOOL/$TESTFS/$TESTFS2.unmounted
+log_must zfs unmount $TESTPOOL/$TESTFS/$TESTFS2.unmounted
 
 
 # send our snapshot to a known file in /tmp
-$ZFS send $TESTPOOL/$TESTFS@snap > /tmp/zfstest_datastream.dat
+zfs send $TESTPOOL/$TESTFS@snap > /tmp/zfstest_datastream.dat
 if [ ! -s /tmp/zfstest_datastream.dat ]
 then
 	log_fail "ZFS send datafile was not created!"
 fi
-log_must $CHMOD 644 /tmp/zfstest_datastream.dat
+log_must chmod 644 /tmp/zfstest_datastream.dat
 
 
 # create a filesystem that has particular properties to test set/get
-log_must $ZFS create -o version=1 $TESTPOOL/$TESTFS/prop
+log_must zfs create -o version=1 $TESTPOOL/$TESTFS/prop
 set -A props $PROP_NAMES
 set -A prop_vals $PROP_VALS
 typeset -i i=0
@@ -87,29 +87,29 @@
 do
 	prop_name=${props[$i]}
 	prop_val=${prop_vals[$i]}
-	log_must $ZFS set $prop_name=$prop_val $TESTPOOL/$TESTFS/prop
+	log_must zfs set $prop_name=$prop_val $TESTPOOL/$TESTFS/prop
 	i=$(( $i + 1 ))
 done
 
 # create a filesystem we don't mind renaming
-log_must $ZFS create $TESTPOOL/$TESTFS/renameme
+log_must zfs create $TESTPOOL/$TESTFS/renameme
 
 
 if is_global_zone
 then
 	# create a filesystem we can share
-	log_must $ZFS create $TESTPOOL/$TESTFS/unshared
-	log_must $ZFS set sharenfs=off $TESTPOOL/$TESTFS/unshared
+	log_must zfs create $TESTPOOL/$TESTFS/unshared
+	log_must zfs set sharenfs=off $TESTPOOL/$TESTFS/unshared
 
 	# create a filesystem that we can unshare
-	log_must $ZFS create $TESTPOOL/$TESTFS/shared
-	log_must $ZFS set sharenfs=on $TESTPOOL/$TESTFS/shared
+	log_must zfs create $TESTPOOL/$TESTFS/shared
+	log_must zfs set sharenfs=on $TESTPOOL/$TESTFS/shared
 fi
 
 
-log_must $ZFS create -o version=1 $TESTPOOL/$TESTFS/version1
-log_must $ZFS create -o version=1 $TESTPOOL/$TESTFS/allowed
-log_must $ZFS allow everyone create $TESTPOOL/$TESTFS/allowed
+log_must zfs create -o version=1 $TESTPOOL/$TESTFS/version1
+log_must zfs create -o version=1 $TESTPOOL/$TESTFS/allowed
+log_must zfs allow everyone create $TESTPOOL/$TESTFS/allowed
 
 if is_global_zone
 then
@@ -116,29 +116,29 @@
 
 	# Now create several virtual disks to test zpool with
 
-	$MKFILE $MINVDEVSIZE /$TESTDIR/disk1.dat
-	$MKFILE $MINVDEVSIZE /$TESTDIR/disk2.dat
-	$MKFILE $MINVDEVSIZE /$TESTDIR/disk3.dat
-	$MKFILE $MINVDEVSIZE /$TESTDIR/disk-additional.dat
-	$MKFILE $MINVDEVSIZE /$TESTDIR/disk-export.dat
-	$MKFILE $MINVDEVSIZE /$TESTDIR/disk-offline.dat
-	$MKFILE $MINVDEVSIZE /$TESTDIR/disk-spare1.dat
-	$MKFILE $MINVDEVSIZE /$TESTDIR/disk-spare2.dat
+	mkfile $MINVDEVSIZE /$TESTDIR/disk1.dat
+	mkfile $MINVDEVSIZE /$TESTDIR/disk2.dat
+	mkfile $MINVDEVSIZE /$TESTDIR/disk3.dat
+	mkfile $MINVDEVSIZE /$TESTDIR/disk-additional.dat
+	mkfile $MINVDEVSIZE /$TESTDIR/disk-export.dat
+	mkfile $MINVDEVSIZE /$TESTDIR/disk-offline.dat
+	mkfile $MINVDEVSIZE /$TESTDIR/disk-spare1.dat
+	mkfile $MINVDEVSIZE /$TESTDIR/disk-spare2.dat
 
 	# and create a pool we can perform attach remove replace,
 	# etc. operations with
-	log_must $ZPOOL create $TESTPOOL.virt mirror /$TESTDIR/disk1.dat \
+	log_must zpool create $TESTPOOL.virt mirror /$TESTDIR/disk1.dat \
 	/$TESTDIR/disk2.dat /$TESTDIR/disk3.dat /$TESTDIR/disk-offline.dat \
 	spare /$TESTDIR/disk-spare1.dat
 
 
 	# Offline one of the disks to test online
-	log_must $ZPOOL offline $TESTPOOL.virt /$TESTDIR/disk-offline.dat
+	log_must zpool offline $TESTPOOL.virt /$TESTDIR/disk-offline.dat
 
 
 	# create an exported pool to test import
-	log_must $ZPOOL create $TESTPOOL.exported /$TESTDIR/disk-export.dat
-	log_must $ZPOOL export $TESTPOOL.exported
+	log_must zpool create $TESTPOOL.exported /$TESTDIR/disk-export.dat
+	log_must zpool export $TESTPOOL.exported
 
 	set -A props $POOL_PROPS
 	set -A prop_vals $POOL_VALS
@@ -148,14 +148,14 @@
 	do
 		prop_name=${props[$i]}
 		prop_val=${prop_vals[$i]}
-		log_must $ZPOOL set $prop_name=$prop_val $TESTPOOL
+		log_must zpool set $prop_name=$prop_val $TESTPOOL
 		i=$(( $i + 1 ))
 	done
 
 	# copy a v1 pool from cli_root
-	$CP $STF_SUITE/tests/functional/cli_root/zpool_upgrade/blockfiles/zfs-pool-v1.dat.bz2 \
+	cp $STF_SUITE/tests/functional/cli_root/zpool_upgrade/blockfiles/zfs-pool-v1.dat.bz2 \
 	    /$TESTDIR
-	log_must $BUNZIP2 /$TESTDIR/zfs-pool-v1.dat.bz2
-	log_must $ZPOOL import -d /$TESTDIR v1-pool
+	log_must bunzip2 /$TESTDIR/zfs-pool-v1.dat.bz2
+	log_must zpool import -d /$TESTDIR v1-pool
 fi
 log_pass
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zdb_001_neg.ksh	Wed Aug 31 16:21:03 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zdb_001_neg.ksh	Wed Aug 31 16:21:03 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -45,12 +45,12 @@
 function check_zdb
 {
 	$@ > /tmp/zdb.$$
-	$GREP "Dataset mos" /tmp/zdb.$$
+	grep "Dataset mos" /tmp/zdb.$$
 	if [ $? -eq 0 ]
 	then
 		log_fail "$@ exited 0 when run as a non root user!"
 	fi
-	$RM /tmp/zdb.$$
+	rm /tmp/zdb.$$
 }
 
 
@@ -58,7 +58,7 @@
 {
 	if [ -e /tmp/zdb_001_neg.$$.txt ]
 	then
-		$RM /tmp/zdb_001_neg.$$.txt
+		rm /tmp/zdb_001_neg.$$.txt
 	fi
 
 }
@@ -68,15 +68,15 @@
 log_assert "zdb can't run as a user on datasets, but can run without arguments"
 log_onexit cleanup
 
-log_must eval "$ZDB > /tmp/zdb_001_neg.$$.txt"
+log_must eval "zdb > /tmp/zdb_001_neg.$$.txt"
 # verify the output looks okay
-log_must $GREP pool_guid /tmp/zdb_001_neg.$$.txt
-log_must $RM /tmp/zdb_001_neg.$$.txt
+log_must grep pool_guid /tmp/zdb_001_neg.$$.txt
+log_must rm /tmp/zdb_001_neg.$$.txt
 
 # we shouldn't able to run it on any dataset
-check_zdb $ZDB $TESTPOOL
-check_zdb $ZDB $TESTPOOL/$TESTFS
-check_zdb $ZDB $TESTPOOL/$TESTFS@snap
-check_zdb $ZDB $TESTPOOL/$TESTFS.clone
+check_zdb zdb $TESTPOOL
+check_zdb zdb $TESTPOOL/$TESTFS
+check_zdb zdb $TESTPOOL/$TESTFS@snap
+check_zdb zdb $TESTPOOL/$TESTFS.clone
 
 log_pass "zdb can't run as a user on datasets, but can run without arguments"
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_001_neg.ksh	Wed Aug 31 16:21:03 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_001_neg.ksh	Wed Aug 31 16:21:03 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -46,7 +46,7 @@
 {
 	if [ -e /tmp/zfs_001_neg.$$.txt ]
 	then
-		$RM /tmp/zfs_001_neg.$$.txt
+		rm /tmp/zfs_001_neg.$$.txt
 	fi
 }
 
@@ -53,7 +53,7 @@
 log_onexit cleanup
 log_assert "zfs shows a usage message when run as a user"
 
-eval "$ZFS > /tmp/zfs_001_neg.$$.txt 2>&1"
-log_must $GREP "usage: zfs command args" /tmp/zfs_001_neg.$$.txt
+eval "zfs > /tmp/zfs_001_neg.$$.txt 2>&1"
+log_must grep "usage: zfs command args" /tmp/zfs_001_neg.$$.txt
 
 log_pass "zfs shows a usage message when run as a user"
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_allow_001_neg.ksh	Wed Aug 31 16:21:03 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zfs_allow_001_neg.ksh	Wed Aug 31 16:21:03 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -45,7 +45,7 @@
 #
 
 # check to see if we have zfs allow
-$ZFS 2>&1 | $GREP "allow" > /dev/null
+zfs 2>&1 | grep "allow" > /dev/null
 if (($? != 0)) then
 	log_unsupported "ZFS allow not supported on this machine."
 fi
@@ -52,13 +52,13 @@
 
 log_assert "zfs allow returns an error when run as a user"
 
-log_must $ZFS allow $TESTPOOL/$TESTFS
-log_mustnot $ZFS allow $($LOGNAME) create $TESTPOOL/$TESTFS
+log_must zfs allow $TESTPOOL/$TESTFS
+log_mustnot zfs allow $(logname) create $TESTPOOL/$TESTFS
 
 # now verify that the above command actually did nothing by
 # checking for any allow output. ( if no allows are granted,
 # nothing should be output )
-OUTPUT=$($ZFS allow $TESTPOOL/$TESTFS | $GREP "Local+Descendent" )
+OUTPUT=$(zfs allow $TESTPOOL/$TESTFS | grep "Local+Descendent" )
 if [ -n "$OUTPUT" ]
 then
 	log_fail "zfs allow permissions were granted on $TESTPOOL/$TESTFS"
